Subject: Re: [PATCH v3 4/4] maintenance: optionally use systemd timers on Linux

From: Felipe Contreras <[email-masked]>
Date: Sun, 23 May 2021 20:18:03 -0500

brian m. carlson wrote:
> On 2021-05-23 at 18:36:10, Felipe Contreras wrote:
> > Johannes Schindelin wrote:
> > > On Fri, 21 May 2021, Derrick Stolee wrote:
> > > > On 5/21/2021 5:59 AM, Bagas Sanjaya wrote:
> > > > > On 21/05/21 05.13, Lénaïc Huard wrote:
> > > > >> The existing mechanism for scheduling background maintenance is done
> > > > >> through cron. On Linux systems managed by systemd, systemd provides an
> > > > >> alternative to schedule recurring tasks: systemd timers.
> > > > >>
> > > > >> The main motivations to implement systemd timers in addition to cron
> > > > >> are:
> > > > >> * cron is optional and Linux systems running systemd might not have it
> > > > >>    installed.
> > > > >> * The execution of `crontab -l` can tell us if cron is installed but not
> > > > >>    if the daemon is actually running.
> > > > >> * With systemd, each service is run in its own cgroup and its logs are
> > > > >>    tagged by the service inside journald. With cron, all scheduled tasks
> > > > >>    are running in the cron daemon cgroup and all the logs of the
> > > > >>    user-scheduled tasks are pretended to belong to the system cron
> > > > >>    service.
> > > > >>    Concretely, a user that doesn’t have access to the system logs won’t
> > > > >>    have access to the log of its own tasks scheduled by cron whereas he
> > > > >>    will have access to the log of its own tasks scheduled by systemd
> > > > >>    timer.
> > > > >
> > > > > For gender neutrality, we can use he/she instead.
> > > >
> > > > Singular "they" is better. Fully accurate and less awkward.
> > > 
> > > I agree.
> > 
> > I disagree.
> 
> I'm fully in support of singular "they".

To each her/his own.

> It provides a useful pronoun to use in this context, is widely
> understood and used, is less awkward than "he/she," and is less sexist
> than the indefinite "he."

I disagree. But I wouldn't presume to dictate how other people speak.

If you like it, use it.

> > > If the singular they was good enough for Shakespeare,
> > 
> > Shakespeare:
> > 
> >  1. Did not know gammar
> >  2. Invented words as we went along
> >  3. Was no writing prose
> 
> The point is that it has been used by native English speakers as part of
> the language for over half a millennium and is widely used and
> understood.

A similar thing happens with the word "nucular" [1]; it is used by
native English speakers as part of the language for many decades and is
widely used and understood.

Does that mean it's a valid word? Maybe.

But does that make "nuclear" invalid? No.

You can use "nucular" if you want (many people do). I will use
"nuclear".

Both can be valid.

> This usage is specified in Merriam Webster[0]:

Merriam-Webster is not infallible.

But fine: let's say they are correct.

Where does it say "they" is *better*? Or worse: where does it say
"his/her" is discouraged?

> > The singular they is a controversial topic[1][2], even among linguists.
> > This is a software project, we must not make decrees about proper use of
> > English language, especially when linguists themselves have not yet
> > fully decided.
> 
> Linguists fit roughly into two camps: prescriptive and descriptive.

I am perfectly aware of the two camps, and I have written about it.

> While I am not a linguist, I have a B.A. in English, and my views fit
> firmly into the descriptivist camp.

If you are a descriptivist (as am I), then you must acknowledge that
people use "his/her" *today*.

As a descriptivist you shouldn't dare to _prescribe_ how people use words.

Therefore, if I use "his/her" (as many people do), you should not
prescribe otherwise.

> Since we are writing text for an English language audience who are
> mostly not linguists, we should probably consider using the language
> that most people will use in this context.

Consider, yes. Dictate? No.

And you don't know how *most* most people speak. Your guess is as good
as mine.

> It's completely fine for a contributor to propose that they think an
> idea is better provided that they do so in a respectful and considerate
> way, which I think happened here.

If you say you think **in your personal opinion** that A is better than
B, that's fine.

What was stated here was "A is better". So that's not what happened.

> I think it should be fine to use singular they here.  You are, of
> course, free to feel differently.

I do feel differently, but I would not presume to dictate that B is
better; I argue both A and B are fine.

 A. he/she
 B. they

To be perfectly clear; I'm not saying you shouldn't use B; I'm saying A
is fine.

Cheers.

[1] https://en.wikipedia.org/wiki/Nucular

-- 
Felipe Contreras